Skip to main content

Update an application

PATCH 

/nevisidm/api/core/v1/applications/:extId

Since: 2.74.0

Required permission(s): AccessControl.ApplicationModify

Partially updates the application with the given external ID. Only provided fields will be updated. Fields not included in the request body remain unchanged.

The application name, description, URL, display flag, and language-dependent display names can be modified. The external ID cannot be changed after creation.

Request

Path Parameters

    extId stringrequired

    External ID of the application to update.

    Example: app-123

Body

required
    name string

    Internal name of the application.

    description string

    Textual description of the application.

    url string

    URL of the application.

    displayed boolean

    Determines whether the application is to be displayed on nevisPortal.

    displayName object

    Language-dependent name of the application. Keys: EN, DE, FR, IT.

    property name* string
    version int32

    Version used for optimistic locking.

Responses

Application updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    External ID of the application.

    name string

    Internal name of the application.

    description string

    Textual description of the application.

    url string

    URL of the application.

    displayed boolean

    Determines whether the application is to be displayed on nevisPortal.

    displayName object

    Language-dependent name of the application. Keys: EN, DE, FR, IT.

    property name* string
Loading...